/*
 * Shows how to extend a JFrame
 */
package example3;

import java.awt.Color;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class FilledFrame extends JFrame {

    JButton button = new JButton("Press me");
    private JLabel label = new JLabel("I'm a Label");
    private static final int FRAME_WIDTH = 300;
    private static final int FRAME_HEIGHT = 200;

    public FilledFrame() {
        super("My Frame");
        createComponents();
        this.setSize(FRAME_WIDTH, FRAME_HEIGHT);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);
    }

    public void createComponents() {
        JPanel panel = new JPanel();
        panel.setBackground(Color.red);
        panel.add(button);
        panel.add(label);
        this.add(panel);
    }

    public static void main(String[] args) {
        FilledFrame frame = new FilledFrame();

    }
}