/*
 * Shows how to create a program with a drawable area
 */
package example7;

import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JComponent;

public class DrawArea extends JComponent {

    public void paintComponent(Graphics g) {
        for (int row = 0; row < this.getHeight(); row++) {
            for (int col = 0; col < this.getWidth(); col++) {
                g.setColor(new Color(row % 256, col % 256, 255 - col % 256));
                g.drawLine(col, row, col, row + 1);
            }
        }
        g.setColor(Color.white);
        g.fillRect(10, 20, 40, 60);
    }
}