/**
 * Creates a simple frame with a few components placed
 * in a panel
 */
package example2;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class GUIFrameWithPanel {

    private static final int FRAME_WIDTH = 300;
    private static final int FRAME_HEIGHT = 200;

    public static void main(String[] args) {
        JFrame frame = new JFrame("My Frame");
        frame.setSize(FRAME_WIDTH, FRAME_HEIGHT);

        JButton button = new JButton("Press me");
        JButton button2 = new JButton("Press me also");
        JLabel label = new JLabel("I'm a Label");

        JPanel panel = new JPanel();
        panel.add(button);
        panel.add(button2);
        panel.add(label);

        frame.add(panel);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
}
